{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://api.gisnavi.ru:9185","description":"Generated server url"}],"paths":{"/api/device/{IMEI}":{"get":{"tags":["device"],"summary":"Получить информацию по устройству по IMEI","description":"Краткая информация по устройству","operationId":"getDeviceByIMEI","parameters":[{"name":"IMEI","in":"path","required":true,"schema":{"type":"string"}},{"name":"session","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Device"}}}}}}},"/api/device/{IMEI}/track":{"get":{"tags":["device"],"summary":"Трек устройства","description":"Архив точек\nДаты в формате дд.мм.гггг чч:мм. К примеру: 31.12.2025 13:15","operationId":"getTrackDevice","parameters":[{"name":"IMEI","in":"path","required":true,"schema":{"type":"string"}},{"name":"session","in":"query","required":true,"schema":{"type":"string"}},{"name":"dateFrom","in":"query","required":true,"schema":{"type":"string"}},{"name":"dateTo","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveTrackResponse"}}}}}}},"/api/device/{IMEI}/stopplaces":{"get":{"tags":["report"],"summary":"Список остановок по IMEI и дате","description":"Получение списка остановок (ТС стоит менее 5 минут) с возможностью фильтрации по минимальной длительности в минутах","operationId":"getListStopplaces","parameters":[{"name":"IMEI","in":"path","required":true,"schema":{"type":"string"}},{"name":"session","in":"query","required":true,"schema":{"type":"string"}},{"name":"dateFrom","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"dateTo","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"minDuration","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReportStopplace"}}}}}}}},"/api/device/{IMEI}/stat-short":{"get":{"tags":["report"],"summary":"Сформировать краткий отчет 'Статистика' по IMEI и дате","description":"Расстояние, средняя/максимальная скорость","operationId":"getStat","parameters":[{"name":"IMEI","in":"path","required":true,"schema":{"type":"string"}},{"name":"session","in":"query","required":true,"schema":{"type":"string"}},{"name":"dateFrom","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"dateTo","in":"query","required":true,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ReportStat"}}}}}}},"/api/device/{IMEI}/sendInputOnOFF":{"get":{"tags":["device"],"summary":"Вкл/выкл вход на устройстве по IMEI","description":"1 - включить, 2 - выключить","operationId":"sendInputOnOFF","parameters":[{"name":"IMEI","in":"path","required":true,"schema":{"type":"string"}},{"name":"session","in":"query","required":true,"schema":{"type":"string"}},{"name":"numberCommand","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeviceCommand"}}}}}}},"/api/device/{IMEI}/sendCustomCommand":{"get":{"tags":["device"],"summary":"Отправка произвольной команды на устройство","operationId":"sendCustomCommand","parameters":[{"name":"IMEI","in":"path","required":true,"schema":{"type":"string"}},{"name":"session","in":"query","required":true,"schema":{"type":"string"}},{"name":"commandText","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeviceCommand"}}}}}}},"/api/device/{IMEI}/parking":{"get":{"tags":["report"],"summary":"Список стоянок по IMEI и дате","description":"Получение списка стоянок (ТС стоит более 5 минут) с возможностью фильтрации по минимальной длительности в минутах","operationId":"getListParking","parameters":[{"name":"IMEI","in":"path","required":true,"schema":{"type":"string"}},{"name":"session","in":"query","required":true,"schema":{"type":"string"}},{"name":"dateFrom","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"dateTo","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"minDuration","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReportParking"}}}}}}}},"/api/device/all":{"get":{"tags":["device"],"summary":"Список устройств","description":"Список всех неудаленных устройств по сессии","operationId":"getAllListDevices","parameters":[{"name":"session","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}}}}}}}},"components":{"schemas":{"Device":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"login":{"type":"string"},"password":{"type":"string"},"name":{"type":"string"},"imei":{"type":"string"},"description":{"type":"string"},"model":{"$ref":"#/components/schemas/Model"},"latitude":{"type":"string"},"longitude":{"type":"string"},"phone1":{"type":"string"},"phone2":{"type":"string"},"direct":{"type":"string"},"satellites":{"type":"string"},"speed":{"type":"number","format":"float"},"voltage_pit":{"type":"number","format":"float"},"fuel":{"type":"number","format":"float"},"voltage_limit":{"type":"number","format":"float"},"enabled":{"type":"string"},"dateConnection":{"type":"string","format":"date-time"}}},"Model":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"Archive":{"type":"object","properties":{"mindate":{"type":"string"},"coordinates":{"type":"array","items":{"type":"string"}},"speed":{"type":"string"},"voltage":{"type":"object"},"direct":{"type":"string"},"sat":{"type":"string"}}},"ArchiveTrackResponse":{"type":"object","properties":{"result":{"type":"integer","format":"int32"},"archive":{"type":"array","items":{"$ref":"#/components/schemas/Archive"}},"isExistSat":{"type":"integer","format":"int32"},"voltage_moto":{"type":"string"},"id_protocol":{"type":"string"},"nameDevice":{"type":"string"},"report":{"type":"array","items":{"$ref":"#/components/schemas/Report"}}}},"Report":{"type":"object","properties":{"mindate":{"type":"string"},"coordinates":{"type":"array","items":{"type":"string"}},"startnamecoordinates":{"type":"string"},"duration":{"type":"string"},"typeReport":{"type":"string"}}},"ReportStopplace":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dateStart":{"type":"string","format":"date-time"},"dateFinish":{"type":"string","format":"date-time"},"coordinates":{"type":"string"},"address":{"type":"string"},"duration":{"type":"integer","format":"int64"},"fromLast":{"type":"integer","format":"int64"}}},"ReportStat":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dateStart":{"type":"string","format":"date-time"},"dateFinish":{"type":"string","format":"date-time"},"length":{"type":"number","format":"float"},"maxspeed":{"type":"number","format":"float"},"avgspeed":{"type":"number","format":"float"},"countParking":{"type":"integer","format":"int32"},"countStopplace":{"type":"integer","format":"int32"},"timeMotion":{"type":"number","format":"float"},"timeStopplaces":{"type":"number","format":"float"},"motoHour":{"type":"number","format":"float"}}},"DeviceCommand":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"textCommand":{"type":"string"},"type":{"type":"integer","format":"int32"},"typeSend":{"type":"integer","format":"int32"},"idStatus":{"type":"integer","format":"int32"},"idDevice":{"type":"integer","format":"int64"},"dtStamp":{"type":"string","format":"date-time"},"dtSend":{"type":"string","format":"date-time"}}},"ReportParking":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dateStart":{"type":"string","format":"date-time"},"dateFinish":{"type":"string","format":"date-time"},"coordinates":{"type":"string"},"address":{"type":"string"},"duration":{"type":"integer","format":"int64"},"fromLast":{"type":"integer","format":"int64"}}}}}}